## org.eclipse.emf.codegen.merge.java
Class JControlModel.PullRule

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.JControlModel.PullRule

Direct Known Subclasses:
  JControlModel.PullRule

Enclosing class:
  JControlModel

    public static class JControlModel.PullRule

extends java.lang.Object

Field Summary
`protected java.lang.String` `classPrefix`
`protected JControlModel.Feature` `equalityFeature`
`protected java.lang.String` `name`
`protected static java.lang.Class<?>[]` `noParameterTypes`
`protected JControlModel.Feature` `sourceGetFeature`
`protected java.util.regex.Pattern` `sourceMarkup`
`protected java.util.regex.Pattern` `sourceParentMarkup`
`protected java.util.regex.Pattern` `sourceTransfer`
`protected java.util.regex.Pattern` `targetMarkup`
`protected java.util.regex.Pattern` `targetParentMarkup`
`protected JControlModel.Feature` `targetPutFeature`

Constructor Summary
`JControlModel.PullRule(java.lang.String classPrefix)`
`JControlModel.PullRule(java.lang.String classPrefix, org.w3c.dom.Element element)`

Method Summary
`protected JControlModel.Feature` `createFeature(java.lang.String classPrefix, java.lang.String path, java.lang.Class<?>[] parameterTypes)`
`java.lang.String` `getClassPrefix()`
`JControlModel.Feature` `getEqualityFeature()`
`java.lang.String` `getName()`
`JControlModel.Feature` `getSourceGetFeature()`
`java.util.regex.Pattern` `getSourceMarkup()`
`java.util.regex.Pattern` `getSourceParentMarkup()`
`java.util.regex.Pattern` `getSourceTransfer()`
`java.util.regex.Pattern` `getTargetMarkup()`
`java.util.regex.Pattern` `getTargetParentMarkup()`
`JControlModel.Feature` `getTargetPutFeature()`
`void` `initialize(org.w3c.dom.Element element)`
`protected void` `setClassPrefix(java.lang.String classPrefix)`
`void` `setEqualityFeature(JControlModel.Feature equalityFeature)`
`void` `setName(java.lang.String name)`
`void` `setSourceGetFeature(JControlModel.Feature sourceGetFeature)`
`void` `setSourceMarkup(java.util.regex.Pattern sourceMarkup)`
`void` `setSourceParentMarkup(java.util.regex.Pattern sourceParentMarkup)`
`void` `setSourceTransfer(java.util.regex.Pattern sourceTransfer)`
`void` `setTargetMarkup(java.util.regex.Pattern targetMarkup)`
`void` `setTargetParentMarkup(java.util.regex.Pattern targetParentMarkup)`
`void` `setTargetPutFeature(JControlModel.Feature targetPutFeature)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### noParameterTypes

    protected static java.lang.Class<?>[] noParameterTypes

### name

    protected java.lang.String name

### sourceMarkup

    protected java.util.regex.Pattern sourceMarkup

### sourceParentMarkup

    protected java.util.regex.Pattern sourceParentMarkup

### sourceGetFeature

    protected JControlModel.Feature sourceGetFeature

### sourceTransfer

    protected java.util.regex.Pattern sourceTransfer

### targetMarkup

    protected java.util.regex.Pattern targetMarkup

### targetParentMarkup

    protected java.util.regex.Pattern targetParentMarkup

### targetPutFeature

    protected JControlModel.Feature targetPutFeature

### equalityFeature

    protected JControlModel.Feature equalityFeature

### classPrefix

    protected java.lang.String classPrefix

Constructor Detail

### JControlModel.PullRule

    public JControlModel.PullRule(java.lang.String classPrefix)

### JControlModel.PullRule

    public JControlModel.PullRule(java.lang.String classPrefix,
                                  org.w3c.dom.Element element)

Method Detail

### initialize

    public void initialize(org.w3c.dom.Element element)

### createFeature

    protected JControlModel.Feature createFeature(java.lang.String classPrefix,
                                                  java.lang.String path,
                                                  java.lang.Class<?>[] parameterTypes)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSourceGetFeature

    public JControlModel.Feature getSourceGetFeature()

### setSourceGetFeature

    public void setSourceGetFeature(JControlModel.Feature sourceGetFeature)

### getEqualityFeature

    public JControlModel.Feature getEqualityFeature()

### setEqualityFeature

    public void setEqualityFeature(JControlModel.Feature equalityFeature)

### getTargetPutFeature

    public JControlModel.Feature getTargetPutFeature()

### setTargetPutFeature

    public void setTargetPutFeature(JControlModel.Feature targetPutFeature)

### getSourceTransfer

    public java.util.regex.Pattern getSourceTransfer()

### setSourceTransfer

    public void setSourceTransfer(java.util.regex.Pattern sourceTransfer)

### getSourceMarkup

    public java.util.regex.Pattern getSourceMarkup()

### setSourceMarkup

    public void setSourceMarkup(java.util.regex.Pattern sourceMarkup)

### getTargetMarkup

    public java.util.regex.Pattern getTargetMarkup()

### setTargetMarkup

    public void setTargetMarkup(java.util.regex.Pattern targetMarkup)

### getSourceParentMarkup

    public java.util.regex.Pattern getSourceParentMarkup()

### setSourceParentMarkup

    public void setSourceParentMarkup(java.util.regex.Pattern sourceParentMarkup)

### getTargetParentMarkup

    public java.util.regex.Pattern getTargetParentMarkup()

### setTargetParentMarkup

    public void setTargetParentMarkup(java.util.regex.Pattern targetParentMarkup)

### setClassPrefix

    protected void setClassPrefix(java.lang.String classPrefix)

### getClassPrefix

    public java.lang.String getClassPrefix()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.